<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: config</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: config</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>This module contains contains the default variables used in the project.</p></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="~batsman"><span class="type-signature">(inner, constant) </span>batsman<span class="type-signature"> :string</span></h4>




<div class="description">
    <p>This contains the name of the player (batsman), whose strike rate to calculate.</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line48">line 48</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~deliveriesCSVPath"><span class="type-signature">(inner, constant) </span>deliveriesCSVPath<span class="type-signature"> :string</span></h4>




<div class="description">
    <p>This contains the path to the deliveries.csv file</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line20">line 20</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~dismissedPlayer"><span class="type-signature">(inner, constant) </span>dismissedPlayer<span class="type-signature"> :string</span></h4>




<div class="description">
    <p>This contains the name of the player who is dismissed by another player.</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line55">line 55</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~economicalBowlerYear"><span class="type-signature">(inner, constant) </span>economicalBowlerYear<span class="type-signature"> :number</span></h4>




<div class="description">
    <p>This contains the year in which to find the economy rate of the bowler</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">number</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line34">line 34</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~extraRunsYear"><span class="type-signature">(inner, constant) </span>extraRunsYear<span class="type-signature"> :number</span></h4>




<div class="description">
    <p>This contains the year in which to find extra runs conceded per team</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">number</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line41">line 41</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~matchesCSVPath"><span class="type-signature">(inner, constant) </span>matchesCSVPath<span class="type-signature"> :string</span></h4>




<div class="description">
    <p>This contains the path to the matches.csv file</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line13">line 13</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~outputPath"><span class="type-signature">(inner, constant) </span>outputPath<span class="type-signature"> :string</span></h4>




<div class="description">
    <p>This contains the path to the output directory</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="config.js.html">config.js</a>, <a href="config.js.html#line27">line 27</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>